# libtraceevent(3) Manual Page

## NAME

tep_get_event, tep_get_first_event, tep_get_events_count - Access events.

## SYNOPSIS

    #include <event-parse.h>

    struct tep_event *tep_get_event(struct tep_handle *tep, int index);
    struct tep_event *tep_get_first_event(struct tep_handle *tep);
    int tep_get_events_count(struct tep_handle *tep);

## DESCRIPTION

The tep_get_event() function returns a pointer to event at the given index. The tep argument is trace event parser context, the index is the index of the requested event.

The tep_get_first_event() function returns a pointer to the first event. As events are stored in an array, this function returns the pointer to the beginning of the array. The tep argument is trace event parser context.

The tep_get_events_count() function returns the number of the events in the array. The tep argument is trace event parser context.

## RETURN VALUE

The tep_get_event() returns a pointer to the event located at index. NULL is returned in case of error, in case there are no events or index is out of range.

The tep_get_first_event() returns a pointer to the first event. NULL is returned in case of error, or in case there are no events.

The tep_get_events_count() returns the number of the events. 0 is returned in case of error, or in case there are no events.

## EXAMPLE

## FILES

    event-parse.h
            Header file to include in order to have access to the library APIs.
    -ltraceevent
            Linker switch to add when building a program that uses the library.

## SEE ALSO

libtraceevent(3), trace-cmd(1)

## AUTHOR

    Steven Rostedt <rostedt@goodmis.org>, author of libtraceevent.
    Tzvetomir Stoyanov <tz.stoyanov@gmail.com>, author of this man page.

## REPORTING BUGS

Report bugs to <linux-trace-devel@vger.kernel.org>

## LICENSE

libtraceevent is Free Software licensed under the GNU LGPL 2.1

## RESOURCES

https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/